mysqli::stat
mysqli::store_result
MySQLi
PHP Manual

# mysqli::stmt_init

# mysqli_stmt_init

(PHP 5)

mysqli::stmt_init -- mysqli_stmt_init — Initializes a statement and returns an object for use with mysqli_stmt_prepare

### Description

Object oriented style (property):

mysqli
mysqli_stmt stmt_init ( void )

Procedural style :

mysqli_stmt mysqli_stmt_init ( mysqli `$link` )

Allocates and initializes a statement object suitable for mysqli_stmt_prepare().

> Note: Any subsequent calls to any mysqli_stmt function will fail until mysqli_stmt_prepare() was called.

### Parameters

`link`

  Procedural style only: A link identifier returned by mysqli_connect() or mysqli_init()

### Return Values

Returns an object.

### See Also

- mysqli_stmt_prepare() - Prepare a SQL statement for execution

mysqli::stat
mysqli::store_result
MySQLi
PHP Manual